##### basic_socket_acceptor::accept (11 of 16 overloads)

Accept a new connection.

    Protocol::socket::template rebind_executor< executor_type >::other accept(
        endpoint_type & peer_endpoint);

This function is used to accept a new connection from a peer. The function call will block until a new connection has been accepted successfully or an error occurs.

This overload requires that the Protocol template parameter satisfy the AcceptableProtocol type requirements.

###### Parameters

peer_endpoint

  An endpoint object into which the endpoint of the remote peer will be written.

###### Return Value

A socket object representing the newly accepted connection.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    asio::ip::tcp::endpoint endpoint;
    asio::ip::tcp::socket socket(acceptor.accept(endpoint));